Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.format.util
Class RangeBrowser

    java.lang.Object
      org.jboss.portal.format.util.RangeBrowser

    public class RangeBrowser

extends java.lang.Object

A range browser which is useful to provide a visual representation of a range browser.

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Nested Class Summary
`static class` | `RangeBrowser.Range`

Constructor Summary
`RangeBrowser(int from, int to, int width, int index)`

Method Summary
`int` | `getFrom()`
`int` | `getIndex()`
`RangeBrowser.Range` | `getLeftRange()`
`RangeBrowser.Range` | `getMiddleRange()`
`RangeBrowser.Range` | `getRightRange()`
`int` | `getTo()`
`int` | `getWidth()`
`void` | `setFrom(int from)`
`void` | `setIndex(int index)`
`void` | `setTo(int to)`
`void` | `setWidth(int width)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RangeBrowser

    public RangeBrowser(int from,
                        int to,
                        int width,
                        int index)

Method Detail

### getFrom

    public int getFrom()

### setFrom

    public void setFrom(int from)

### getTo

    public int getTo()

### setTo

    public void setTo(int to)

### getWidth

    public int getWidth()

### setWidth

    public void setWidth(int width)

### getIndex

    public int getIndex()

### setIndex

    public void setIndex(int index)

### getLeftRange

    public RangeBrowser.Range getLeftRange()

### getMiddleRange

    public RangeBrowser.Range getMiddleRange()

### getRightRange

    public RangeBrowser.Range getRightRange()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD